NOZZLE_GET_HANDLE_BY_NAME(3)

NAME
nozzle_get_handle_by_name - find a nozzle handle by device name

SYNOPSIS
#include <libnozzle.h>

nozzle_t nozzle_get_handle_by_name(
    const char   *devname
);

DESCRIPTION

nozzle_get_handle_by_name

devname - string containing the name of the interface

RETURN VALUE

handle on success. NULL on error and errno is set.

SEE ALSO

nozzle_close(3), nozzle_set_mtu(3), nozzle_get_fd(3), nozzle_get_mtu(3), nozzle_reset_mtu(3), nozzle_set_up(3), nozzle_get_ips(3), nozzle_set_down(3), nozzle_reset_mac(3), nozzle_run_updown(3), nozzle_open(3), nozzle_del_ip(3), nozzle_get_mac(3), nozzle_set_mac(3), nozzle_get_name_by_handle(3), nozzle_add_ip(3)

COPYRIGHT

Copyright (C) 2010-2026 Red Hat, Inc. All rights reserved.